Replace assertEqual(None, *) with assertIsNone in tests

Bug #1280522 reported by Jia Dong on 2014-02-15
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Anchor
Undecided
Shuquan Huang
Blazar
Undecided
zhangguoqing
Cinder
Undecided
Lee Li
Designate
Undecided
Sharat Sharma
DragonFlow
Undecided
YaoZheng_ZTE
Glance
Low
Jia Dong
Glance Client
Low
Shuquan Huang
Heat Translator
Undecided
Shuquan Huang
Ironic
Fix Released
Undecided
Xurong Yang
Manila
Low
Yusuke Hayashi
OpenStack Backup/Restore and DR (Freezer)
Undecided
YaoZheng_ZTE
OpenStack Compute (nova)
Low
Sean Dague
OpenStack DBaaS (Trove)
Wishlist
Amrith Kumar
OpenStack Identity (keystone)
Low
lvdongbing
OpenStack Object Storage (swift)
Undecided
jingtao liang
OpenStack SDK
Fix Released
Undecided
Swapnil Kulkarni
OpenStack Searchlight
Fix Released
Undecided
jingtao liang
Python client library for Zaqar
Undecided
Shuquan Huang
Quark: Money Reinvented
Undecided
YaoZheng_ZTE
Sahara
Fix Released
Low
Lee Li
Solum
Undecided
Shuquan Huang
Stackalytics
Undecided
Swapnil Kulkarni
Zun
Undecided
HengHa
anvil
Undecided
YaoZheng_ZTE
bifrost
Fix Released
Undecided
Kan
congress
Undecided
Vishal kumar mahajan
dox
Undecided
zhangguoqing
glance_store
Undecided
Shuquan Huang
heat-cfntools
Fix Released
Undecided
LiuNanke
ironic-python-agent
Fix Released
Undecided
Shuquan Huang
keystoneauth
Low
zhangguoqing
kolla-mesos
Undecided
Vishal kumar mahajan
networking-brocade
Undecided
YaoZheng_ZTE
networking-cisco
Undecided
Shuquan Huang
octavia
Fix Released
Undecided
Wang Bo
ooi
Low
Swapnil Kulkarni
os-brick
Undecided
Yafei Yu
os-client-config
Fix Released
Undecided
Shuquan Huang
oslo.messaging
Undecided
weiweigu
python-barbicanclient
Fix Released
Undecided
Shuquan Huang
python-ceilometerclient
Undecided
Shuquan Huang
python-cinderclient
Undecided
Yusuke Hayashi
python-congressclient
Undecided
Shuquan Huang
python-cueclient
Undecided
Shuquan Huang
python-designateclient
Undecided
Shuquan Huang
python-heatclient
Fix Released
Undecided
Shuquan Huang
python-ironicclient
Fix Released
Undecided
Shuquan Huang
python-manilaclient
Undecided
Shuquan Huang
python-openstackclient
Fix Released
Undecided
Shuquan Huang
python-swiftclient
Undecided
Vishal kumar mahajan
python-troveclient
Wishlist
Lee Li
taskflow
Undecided
weiweigu
tempest
Undecided
Shuquan Huang
tuskar
Low
Lee Li
watcher
Undecided
Sharat Sharma
zaqar
Undecided
Shuquan Huang
designate (Ubuntu)
Undecided
Vishal kumar mahajan
python-tuskarclient (Ubuntu)
Undecided
Vishal kumar mahajan

Bug Description

Replace assertEqual(None, *) with assertIsNone in tests to have
more clear messages in case of failure.

Jia Dong (jiadong-jia) on 2014-02-15
Changed in heat:
assignee: nobody → Jia Dong (jiadong-jia)
Lee Li (lilinguo) on 2014-02-15
Changed in cinder:
assignee: nobody → Lee Li (lilinguo)
Changed in glance:
assignee: nobody → Lee Li (lilinguo)
Changed in savanna:
assignee: nobody → Lee Li (lilinguo)
Changed in python-neutronclient:
assignee: nobody → Lee Li (lilinguo)
Changed in python-troveclient:
assignee: nobody → Lee Li (lilinguo)
Changed in tempest:
assignee: nobody → Lee Li (lilinguo)
Lee Li (lilinguo) on 2014-02-15
Changed in tuskar:
assignee: nobody → Lee Li (lilinguo)

Fix proposed to branch: master
Review: https://review.openstack.org/73773

Changed in heat:
status: New → In Progress
Xurong Yang (idopra) on 2014-02-15
Changed in swift:
assignee: nobody → Xurong Yang (idopra)
Changed in ironic:
assignee: nobody → Xurong Yang (idopra)
status: New → In Progress
Jia Dong (jiadong-jia) on 2014-02-15
Changed in nova:
assignee: nobody → Jia Dong (jiadong-jia)

Fix proposed to branch: master
Review: https://review.openstack.org/73774

Changed in tuskar:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/73775

Changed in tempest:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/73777

Changed in cinder:
status: New → In Progress
Xurong Yang (idopra) on 2014-02-15
Changed in trove:
assignee: nobody → Xurong Yang (idopra)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/73778

Changed in python-neutronclient:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/73779

Changed in python-troveclient:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/73781

Changed in nova:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/73783

Changed in savanna:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/73785

Changed in swift:
status: New → In Progress
Jia Dong (jiadong-jia) on 2014-02-15
Changed in glance:
assignee: Lee Li (lilinguo) → Jia Dong (jiadong-jia)
Changed in savanna:
importance: Undecided → Low
milestone: none → icehouse-3

Reviewed: https://review.openstack.org/73777
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=9dcd2ec8324fef1018af9161f70c80c76e7b7357
Submitter: Jenkins
Branch: master

commit 9dcd2ec8324fef1018af9161f70c80c76e7b7357
Author: llg8212 <email address hidden>
Date: Sat Feb 15 12:42:56 2014 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: Iac9462620bf4ae338998fa6aea7f1514a945059b
    Closes-Bug:#1280522

Changed in cinder:
status: In Progress → Fix Committed
no longer affects: swift
Changed in tuskar:
importance: Undecided → Wishlist
importance: Wishlist → Low

Reviewed: https://review.openstack.org/73774
Committed: https://git.openstack.org/cgit/openstack/tuskar/commit/?id=ec1a3dabde035da4ef8e67194bc9ef5bca832490
Submitter: Jenkins
Branch: master

commit ec1a3dabde035da4ef8e67194bc9ef5bca832490
Author: llg8212 <email address hidden>
Date: Sat Feb 15 12:09:02 2014 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: I5ef78693999f9bd87cc3ea8419e6e62027076383
    Closes-Bug:#1280522

Changed in tuskar:
status: In Progress → Fix Committed
Changed in glance:
status: New → In Progress
Zhi Yan Liu (lzy-dev) on 2014-02-20
Changed in glance:
importance: Undecided → Low

Reviewed: https://review.openstack.org/73784
Committed: https://git.openstack.org/cgit/openstack/glance/commit/?id=8d4312a2c9b020cec1241fde0b9a1fb29af5e6f6
Submitter: Jenkins
Branch: master

commit 8d4312a2c9b020cec1241fde0b9a1fb29af5e6f6
Author: Jia Dong <email address hidden>
Date: Sat Feb 15 14:24:57 2014 +0800

    Modify assert statement when comparing with None

    Replace assertEqual(None, *) with assertIsNone in glance's
    tests to have more clear messages in case of failure.

    Also, replace assertTrue(* is not None) with assertIsNotNone
    for the same reason.

    Change-Id: If41a71bd750057c7136b03bef94c04517092134c
    Closes-Bug: #1280522

Changed in glance:
status: In Progress → Fix Committed
Sean Dague (sdague) on 2014-02-20
no longer affects: tempest

Reviewed: https://review.openstack.org/73783
Committed: https://git.openstack.org/cgit/openstack/savanna/commit/?id=6c993a106d5a6f03f998b528ec43af6b85b905c1
Submitter: Jenkins
Branch: master

commit 6c993a106d5a6f03f998b528ec43af6b85b905c1
Author: llg8212 <email address hidden>
Date: Fri Feb 21 17:27:16 2014 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: Ic1d7886e23bd5e2adf1759ad0a5a31841a4ccfa0
    Closes-Bug:#1280522

Changed in savanna:
status: In Progress → Fix Committed
Changed in tuskar:
status: Fix Committed → Fix Released
lvdongbing (dbcocle) on 2014-02-25
Changed in keystone:
assignee: nobody → lvdongbing (dbcocle)
status: New → Confirmed

Fix proposed to branch: master
Review: https://review.openstack.org/76067

Changed in keystone:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/76067
Committed: https://git.openstack.org/cgit/openstack/keystone/commit/?id=17d7ea26dbe6e1e83cd9868ff1e373dee75031dc
Submitter: Jenkins
Branch: master

commit 17d7ea26dbe6e1e83cd9868ff1e373dee75031dc
Author: lvdongbing <email address hidden>
Date: Tue Feb 25 09:37:47 2014 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in keystone's tests
    to havemore clear messages in case of failure.

    Closes-Bug: #1280522
    Change-Id: I5a857fcb3bfebc6ff14871df6b2cd1dee44596b2

Changed in keystone:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/73779
Committed: https://git.openstack.org/cgit/openstack/python-troveclient/commit/?id=ae837cf05789f600fe1451d32447c24fc5c65473
Submitter: Jenkins
Branch: master

commit ae837cf05789f600fe1451d32447c24fc5c65473
Author: llg8212 <email address hidden>
Date: Sat Feb 15 12:56:54 2014 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: Ifbb144e26b62790d8b8ba9b5c3eea7d04844ee19
    Closes-Bug:#1280522

Changed in python-troveclient:
status: In Progress → Fix Committed
devananda (devananda) on 2014-03-04
Changed in ironic:
importance: Undecided → Wishlist
importance: Wishlist → Undecided
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-03-05
Changed in savanna:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-03-05
Changed in ironic:
milestone: none → icehouse-3
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-03-05
Changed in glance:
milestone: none → icehouse-3
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-03-05
Changed in cinder:
milestone: none → icehouse-3
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-03-05
Changed in keystone:
milestone: none → icehouse-3
status: Fix Committed → Fix Released
Dolph Mathews (dolph) on 2014-03-05
Changed in keystone:
importance: Undecided → Low

Reviewed: https://review.openstack.org/73773
Committed: https://git.openstack.org/cgit/openstack/heat/commit/?id=30d202ab42aec1a3207774221ce85adc4e7106ef
Submitter: Jenkins
Branch: master

commit 30d202ab42aec1a3207774221ce85adc4e7106ef
Author: Jia Dong <email address hidden>
Date: Sat Feb 15 12:01:41 2014 +0800

    Modify assert statement when comparing with None

    Replace assertEqual(None, *) with assertIsNone in heat's
    tests to have more clear messages in case of failure.
    Also, replace assertNotEqual(None, *) with assertIsNotNone
    for the same reason.

    Change-Id: I34dbf9b87c7c8c6ca4949b53bd5ef763a9c2fc24
    Closes-Bug: #1280522

Changed in heat:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/73778
Committed: https://git.openstack.org/cgit/openstack/python-neutronclient/commit/?id=cc2a56cc1adb46db5331f0c9c17fe71a0e3da6ad
Submitter: Jenkins
Branch: master

commit cc2a56cc1adb46db5331f0c9c17fe71a0e3da6ad
Author: llg8212 <email address hidden>
Date: Sat Feb 22 11:54:59 2014 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: I442951deb2bc6df199a1dd76142f71fc92e6f745
    Closes-Bug:#1280522

Changed in python-neutronclient:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-03-31
Changed in heat:
milestone: none → icehouse-rc1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-04-17
Changed in keystone:
milestone: icehouse-3 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in cinder:
milestone: icehouse-3 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in heat:
milestone: icehouse-rc1 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in glance:
milestone: icehouse-3 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in sahara:
milestone: icehouse-3 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in ironic:
milestone: icehouse-3 → 2014.1
Changed in trove:
importance: Undecided → Low
Changed in python-troveclient:
importance: Undecided → Wishlist
milestone: none → python-troveclient-v1
status: Fix Committed → Fix Released
Kyle Mestery (mestery) on 2014-07-29
Changed in python-neutronclient:
importance: Undecided → Low
milestone: none → 2.3.5

Fix proposed to branch: master
Review: https://review.openstack.org/121582

Changed in nova:
assignee: Jia Dong (jiadong-jia) → Sean Dague (sdague)
Sean Dague (sdague) on 2014-09-15
Changed in nova:
importance: Undecided → Low
Amrith Kumar (amrith) on 2014-09-15
Changed in trove:
importance: Low → Wishlist
milestone: none → ongoing

Reviewed: https://review.openstack.org/121582
Committed: https://git.openstack.org/cgit/openstack/nova/commit/?id=5dd34c93e2c86fdba7b71e27029a400777bf9424
Submitter: Jenkins
Branch: master

commit 5dd34c93e2c86fdba7b71e27029a400777bf9424
Author: Sean Dague <email address hidden>
Date: Mon Sep 15 10:00:36 2014 -0400

    fix up assertEqual(None...) check to catch more cases

    To finally close out bug #1280522 it turned out that our hacking check
    to eliminate assertEqual(None, ...) was pretty sub optimal. The
    perfect fix would actually use the tokenizer, however this is a better
    regex which catches a few more missing bits in our codebase. It's
    probably close enough for most of what we need.

    Fix the relevant tests that would fail the updating hacking check.

    Change-Id: Ic8cb1192e001409d827c8da55fe536681895944b
    Closes-Bug: #1280522

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-10-01
Changed in nova:
milestone: none → juno-rc1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-10-16
Changed in nova:
milestone: juno-rc1 → 2014.2
Akihiro Motoki (amotoki) on 2015-03-03
tags: added: released-neutronclient
Changed in python-cinderclient:
assignee: nobody → Yusuke Hayashi (hayashi-yusuke)

Fix proposed to branch: master
Review: https://review.openstack.org/210801

Changed in python-cinderclient:
status: New → In Progress
Changed in manila:
assignee: nobody → Yusuke Hayashi (hayashi-yusuke)

Fix proposed to branch: master
Review: https://review.openstack.org/213443

Changed in manila:
status: New → In Progress

Reviewed: https://review.openstack.org/210801
Committed: https://git.openstack.org/cgit/openstack/python-cinderclient/commit/?id=780a1299cb40c219cf5f9146642bd67d309f1329
Submitter: Jenkins
Branch: master

commit 780a1299cb40c219cf5f9146642bd67d309f1329
Author: Yusuke Hayashi <email address hidden>
Date: Sun Aug 9 15:57:00 2015 +0900

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: I7ea0306009e8fdde468c1394615972de4d296f45
    Closes-Bug:#1280522

Changed in python-cinderclient:
status: In Progress → Fix Committed
Changed in manila:
importance: Undecided → Low

Reviewed: https://review.openstack.org/213443
Committed: https://git.openstack.org/cgit/openstack/manila/commit/?id=cb0a5c982971f0f566ae625af563234f3b1ea3da
Submitter: Jenkins
Branch: master

commit cb0a5c982971f0f566ae625af563234f3b1ea3da
Author: Yusuke Hayashi <email address hidden>
Date: Sun Aug 23 07:22:19 2015 +0900

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Closes-Bug: #1280522
    Change-Id: I2d5285add72678b5a61b4f66879c4d066afc34c7

Changed in manila:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2015-09-03
Changed in manila:
milestone: none → liberty-3
status: Fix Committed → Fix Released
Changed in python-cinderclient:
milestone: none → 1.4.0
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/232333
Committed: https://git.openstack.org/cgit/openstack/manila/commit/?id=d24048aff4c2f6ca59cb3da2a60b4dc42b0ecf64
Submitter: Jenkins
Branch: master

commit d24048aff4c2f6ca59cb3da2a60b4dc42b0ecf64
Author: Yusuke Hayashi <email address hidden>
Date: Sun Oct 4 11:12:31 2015 +0900

    Fix order of arguments in assertEqual

    Fix incorrect order assertEqual(observed, expected) as below.
      assertEqual(observed, expected) => assertEqual(expected, observed)

    Target of this patch:
      manila/tests/scheduler/*
      manila/tests/volume/*
      and all others

    Change-Id: I063d35c01835ed6a5c62f016274b02e29333aade
    Closes-Bug: #1280522

Thierry Carrez (ttx) on 2015-10-15
Changed in manila:
milestone: liberty-3 → 1.0.0
Amrith Kumar (amrith) wrote :

I have attempted to email the current assignee since this bug hasn't moved in a while. Hearing no answer in a week, I'm reassigning this to myself.

Changed in trove:
assignee: Xurong Yang (idopra) → Amrith (amrith)

Reviewed: https://review.openstack.org/236655
Committed: https://git.openstack.org/cgit/openstack/trove/commit/?id=8b02a1eae3ec232683d861519f9ae46363e0c8ed
Submitter: Jenkins
Branch: master

commit 8b02a1eae3ec232683d861519f9ae46363e0c8ed
Author: Amrith Kumar <email address hidden>
Date: Sat Oct 17 19:26:18 2015 -0400

    Replace assertEqual(None, *) with assertIsNone in tests

    Apparently, this is a thing.

    Change-Id: I878a6633924422fbf9f00657ce8282f32de8cb0f
    Closes-Bug:#1280522

Changed in trove:
status: In Progress → Fix Committed

This issue was fixed in the openstack/trove 5.0.0.0b1 development milestone.

This issue was fixed in the openstack/manila 2.0.0.0b1 development milestone.

Changed in trove:
status: Fix Committed → Fix Released
Akihiro Motoki (amotoki) on 2015-12-10
Changed in python-neutronclient:
milestone: 2.3.5 → none
status: Fix Committed → Fix Released
tags: removed: released-neutronclient

Fix proposed to branch: master
Review: https://review.openstack.org/257234

Changed in tempest:
assignee: nobody → Shuquan Huang (shuquan)
status: New → In Progress
Shuquan Huang (shuquan) on 2015-12-14
Changed in glance-store:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/257253

Changed in glance-store:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/257256

Changed in tempest:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/257234
Committed: https://git.openstack.org/cgit/openstack/tempest/commit/?id=a77f7028b326aaa52a3b159206ecb57356f05b7f
Submitter: Jenkins
Branch: master

commit a77f7028b326aaa52a3b159206ecb57356f05b7f
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Mon Dec 14 17:26:38 2015 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: I0578063d719293d5f2e838241c2db96454f7e4b6
    Closes-bug: #1280522

Reviewed: https://review.openstack.org/257256
Committed: https://git.openstack.org/cgit/openstack/ironic/commit/?id=c7e2b04c23b515350636af891850c2c0857acf93
Submitter: Jenkins
Branch: master

commit c7e2b04c23b515350636af891850c2c0857acf93
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Mon Dec 14 18:09:38 2015 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: I4c4834191a33fd5a9a094c4f616eadc482317248
    Closes-bug: #1280522

Reviewed: https://review.openstack.org/257253
Committed: https://git.openstack.org/cgit/openstack/glance_store/commit/?id=64c746df383004c130e256661c3472e44d85aada
Submitter: Jenkins
Branch: master

commit 64c746df383004c130e256661c3472e44d85aada
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Mon Dec 14 18:05:26 2015 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: If651a433db3e573c3b0b86b2a9f87ab84e65b96b
    Closes-bug: #1280522

Changed in glance-store:
status: In Progress → Fix Released
Shuquan Huang (shuquan) on 2015-12-16
Changed in anchor:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/258394

Changed in anchor:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-12-17
Changed in heat-cfntools:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/258773

Changed in heat-cfntools:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-12-17
Changed in heat-translator:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/258776

Changed in heat-translator:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-12-17
Changed in ironic-python-agent:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/258778

Changed in ironic-python-agent:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-12-17
Changed in os-client-config:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/258810

Changed in os-client-config:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-12-17
Changed in networking-cisco:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/258885

Changed in networking-cisco:
status: New → In Progress

Reviewed: https://review.openstack.org/258394
Committed: https://git.openstack.org/cgit/openstack/anchor/commit/?id=8f46701afb0c369063f8fba3f09f25028afc39d0
Submitter: Jenkins
Branch: master

commit 8f46701afb0c369063f8fba3f09f25028afc39d0
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Wed Dec 16 18:17:51 2015 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: I33b61064ec957a79bec4c6deef7ce5e4c8e8d141
    Closes-bug: #1280522

Changed in anchor:
status: In Progress → Fix Released
Shuquan Huang (shuquan) on 2015-12-17
Changed in python-ironicclient:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/258988

Changed in python-ironicclient:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-12-17
Changed in python-barbicanclient:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/258990

Changed in python-barbicanclient:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-12-17
Changed in python-ceilometerclient:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/258993

Changed in python-ceilometerclient:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-12-17
Changed in python-congressclient:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/259004

Changed in python-congressclient:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-12-17
Changed in python-designateclient:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/259010

Changed in python-designateclient:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-12-17
Changed in python-manilaclient:
assignee: nobody → Shuquan Huang (shuquan)
Changed in python-cueclient:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/259016

Changed in python-manilaclient:
status: New → In Progress
Changed in python-cueclient:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-12-17
Changed in python-glanceclient:
assignee: nobody → Shuquan Huang (shuquan)
Changed in python-heatclient:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/259020

Changed in python-heatclient:
status: New → In Progress
Changed in python-glanceclient:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-12-17
Changed in python-openstackclient:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/259025

Changed in python-openstackclient:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-12-17
Changed in python-zaqarclient:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/259027

Changed in python-zaqarclient:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-12-17
Changed in zaqar:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/259036

Changed in zaqar:
status: New → In Progress
Shuquan Huang (shuquan) on 2015-12-17
Changed in solum:
assignee: nobody → Shuquan Huang (shuquan)

Fix proposed to branch: master
Review: https://review.openstack.org/259038

Changed in solum:
status: New → In Progress

Reviewed: https://review.openstack.org/258810
Committed: https://git.openstack.org/cgit/openstack/os-client-config/commit/?id=88b7e643b9637864252d9c6b715da0dced606352
Submitter: Jenkins
Branch: master

commit 88b7e643b9637864252d9c6b715da0dced606352
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Thu Dec 17 13:58:10 2015 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: Ia1af9f64f4f0a66c1429d81313b2c27a7c67cdd7
    Closes-bug: #1280522

Changed in os-client-config:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/259028
Committed: https://git.openstack.org/cgit/openstack/python-zaqarclient/commit/?id=facfa96397fdadc48fb9bf949d8c75b4ec62514b
Submitter: Jenkins
Branch: master

commit facfa96397fdadc48fb9bf949d8c75b4ec62514b
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Thu Dec 17 22:05:41 2015 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: I254177113bd9ef579cc227cb10ccb952a6418b4c
    Closes-bug: #1280522

Changed in python-zaqarclient:
status: In Progress → Fix Released
Changed in python-glanceclient:
importance: Undecided → Low

Reviewed: https://review.openstack.org/259021
Committed: https://git.openstack.org/cgit/openstack/python-glanceclient/commit/?id=20d298dc7a7796baea635874e0b85d36b1806c08
Submitter: Jenkins
Branch: master

commit 20d298dc7a7796baea635874e0b85d36b1806c08
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Thu Dec 17 21:54:00 2015 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: I384fbe8722af07bcaa4e2610384446751a8072bf
    Closes-bug: #1280522

Changed in python-glanceclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/258993
Committed: https://git.openstack.org/cgit/openstack/python-ceilometerclient/commit/?id=a63f15272c61d5b3ab54d00da1209e4d6bf6bcad
Submitter: Jenkins
Branch: master

commit a63f15272c61d5b3ab54d00da1209e4d6bf6bcad
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Thu Dec 17 21:06:01 2015 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: I36db8bdcb67b8cc0a3bf1f063b4a7b42955b100b
    Closes-bug: #1280522

Changed in python-ceilometerclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/258784
Committed: https://git.openstack.org/cgit/openstack/sahara/commit/?id=3ed0dc8b7b71cb0da04a25972e114424f3a99894
Submitter: Jenkins
Branch: master

commit 3ed0dc8b7b71cb0da04a25972e114424f3a99894
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Thu Dec 17 11:42:03 2015 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: I5f40d8a0ec6e7ec24a20a183c5313d6dac52dbfe
    Closes-bug: #1280522

Reviewed: https://review.openstack.org/258988
Committed: https://git.openstack.org/cgit/openstack/python-ironicclient/commit/?id=a90b16ca84edc19978117b2446f4b578bef4136f
Submitter: Jenkins
Branch: master

commit a90b16ca84edc19978117b2446f4b578bef4136f
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Thu Dec 17 20:54:09 2015 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: I109bef1afbbdd3a2cf25e9fb7133509516910891
    Closes-bug: #1280522

Changed in python-ironicclient:
status: In Progress → Fix Released
lei zhang (zhang-lei) on 2015-12-25
Changed in horizon:
assignee: nobody → lei zhang (zhang-lei)
LiuNanke (nanke-liu) on 2015-12-30
Changed in horizon:
assignee: lei zhang (zhang-lei) → LiuNanke (nanke-liu)
status: New → In Progress

Reviewed: https://review.openstack.org/261415
Committed: https://git.openstack.org/cgit/openstack/horizon/commit/?id=aed4d660984adaf70eccce36066d56973939027b
Submitter: Jenkins
Branch: master

commit aed4d660984adaf70eccce36066d56973939027b
Author: LiuNanke <email address hidden>
Date: Fri Dec 25 13:33:35 2015 +0800

    Replace assertEqual(None,*) with assertIsNone

    Replace assertEqual(None, *) with assertIsNone in
    tests to have more clear messages in case of failure.

    Closes-Bug: #1280522

    Change-Id: I950881a51053d83762c941d813da6bbf9f8578c9

Changed in horizon:
status: In Progress → Fix Released

Change abandoned by javeme (<email address hidden>) on branch: master
Review: https://review.openstack.org/259949
Reason: Fixed by https://review.openstack.org/#/c/261415/

Reviewed: https://review.openstack.org/258778
Committed: https://git.openstack.org/cgit/openstack/ironic-python-agent/commit/?id=cfcef973e832b70c148a2de43fef3d3b6cbb31ce
Submitter: Jenkins
Branch: master

commit cfcef973e832b70c148a2de43fef3d3b6cbb31ce
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Thu Dec 17 11:31:29 2015 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: Iad3f8fbb23a8b0f9e5ae4f304799465724c1a433
    Closes-bug: #1280522

Changed in ironic-python-agent:
status: In Progress → Fix Released

Fix proposed to branch: master
Review: https://review.openstack.org/263262

Changed in ooi:
assignee: nobody → Swapnil Kulkarni (coolsvap)
status: New → In Progress

Reviewed: https://review.openstack.org/258885
Committed: https://git.openstack.org/cgit/openstack/networking-cisco/commit/?id=7cc1f5e5b60df55c20f220c4066ba1e5c951732d
Submitter: Jenkins
Branch: master

commit 7cc1f5e5b60df55c20f220c4066ba1e5c951732d
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Thu Dec 17 17:05:31 2015 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: Id7b3df39092d6a5ae3f0c35a5b8d33986e46f73b
    Closes-bug: #1280522

Changed in networking-cisco:
status: In Progress → Fix Released
Sai Kiran (saikiran) on 2016-01-04
Changed in refstack:
assignee: nobody → Sai Kiran (saikiran)
Swapnil Kulkarni (coolsvap) wrote :
Changed in refstack:
assignee: Sai Kiran (saikiran) → Swapnil Kulkarni (coolsvap)
Changed in python-openstacksdk:
assignee: nobody → Swapnil Kulkarni (coolsvap)
Swapnil Kulkarni (coolsvap) wrote :
Changed in python-openstacksdk:
status: New → In Progress
Swapnil Kulkarni (coolsvap) wrote :
Changed in stackalytics:
assignee: nobody → Swapnil Kulkarni (coolsvap)
status: New → In Progress
Kan (kansks) on 2016-01-05
Changed in bifrost:
assignee: nobody → Kan (kansks)
status: New → In Progress

Change abandoned by Kan (<email address hidden>) on branch: master
Review: https://review.openstack.org/263538

Sai Kiran (saikiran) wrote :

@Swapnil, I thought to submit a patch for refstack thats why I have assigned it to my self.

Swapnil Kulkarni (coolsvap) wrote :

@Sai the patch was already sent for the fix, just infra didnt update the bug.

https://review.openstack.org/263271

Swapnil Kulkarni (coolsvap) wrote :
Changed in refstack:
status: New → In Progress

Reviewed: https://review.openstack.org/263542
Committed: https://git.openstack.org/cgit/openstack/bifrost/commit/?id=0566fc979f582341f968b5fb17b064a41619e6f3
Submitter: Jenkins
Branch: master

commit 0566fc979f582341f968b5fb17b064a41619e6f3
Author: Kan <email address hidden>
Date: Tue Jan 5 03:17:12 2016 +0000

    Replace assertEqual(None, *) with assertIsNone

    Replace assertEqual(None, *) with assertIsNone in tests

    Change-Id: I257c479b7a23e39178d292c347d04ad979c48f0f
    Closes-bug: #1280522

Reviewed: https://review.openstack.org/263266
Committed: https://git.openstack.org/cgit/openstack/python-openstacksdk/commit/?id=65520eadeb5985eb25f6658af88dcc6e4f9d87b6
Submitter: Jenkins
Branch: master

commit 65520eadeb5985eb25f6658af88dcc6e4f9d87b6
Author: Swapnil Kulkarni (coolsvap) <email address hidden>
Date: Mon Jan 4 19:28:49 2016 +0530

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: I1cc945f9dc3803a62054c538207d6dbd0fc342df
    Partial-bug: #1280522

Reviewed: https://review.openstack.org/259033
Committed: https://git.openstack.org/cgit/openstack/trove/commit/?id=5e5cc3260f814831ed2860aed485647dddbd7e39
Submitter: Jenkins
Branch: master

commit 5e5cc3260f814831ed2860aed485647dddbd7e39
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Thu Dec 17 22:12:10 2015 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: I40c4d43673d5643a4e4cd50fd6abe21559222749
    Closes-bug: #1280522

Reviewed: https://review.openstack.org/263280
Committed: https://git.openstack.org/cgit/openstack/stackalytics/commit/?id=658d2e5ffe27055c87c87cff0a40cab9aa096bc0
Submitter: Jenkins
Branch: master

commit 658d2e5ffe27055c87c87cff0a40cab9aa096bc0
Author: Swapnil Kulkarni (coolsvap) <email address hidden>
Date: Mon Jan 4 19:49:30 2016 +0530

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: I834ec0fd6d335383ee2ef71efe8cd51a25a22650
    Partial-bug: #1280522

Reviewed: https://review.openstack.org/259020
Committed: https://git.openstack.org/cgit/openstack/python-heatclient/commit/?id=73c3af4b8a6e0afd5d2ea13cb6a1962be6e40370
Submitter: Jenkins
Branch: master

commit 73c3af4b8a6e0afd5d2ea13cb6a1962be6e40370
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Thu Dec 17 21:56:09 2015 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: I517928a81723d28999de2cfb649fc36f893b2ddb
    Closes-bug: #1280522

Changed in python-heatclient:
status: In Progress → Fix Released

Fix proposed to branch: master
Review: https://review.openstack.org/264229

Changed in heat-cfntools:
assignee: Shuquan Huang (shuquan) → LiuNanke (nanke-liu)

Change abandoned by LiuNanke (<email address hidden>) on branch: master
Review: https://review.openstack.org/264229

Change abandoned by LiuNanke (<email address hidden>) on branch: master
Review: https://review.openstack.org/264239

Changed in heat-translator:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/258776
Committed: https://git.openstack.org/cgit/openstack/heat-translator/commit/?id=95d40eacf3d877ea6df039558465d08a95161f7f
Submitter: Jenkins
Branch: master

commit 95d40eacf3d877ea6df039558465d08a95161f7f
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Thu Dec 17 11:24:02 2015 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: I23508ba9234d12b37d19adf5bb31dcdbbed9742c
    Closes-bug: #1280522

Reviewed: https://review.openstack.org/259017
Committed: https://git.openstack.org/cgit/openstack/python-cueclient/commit/?id=b9e08cfcb6b9dd809d1ba4698c77f5a2c75927ba
Submitter: Jenkins
Branch: master

commit b9e08cfcb6b9dd809d1ba4698c77f5a2c75927ba
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Thu Dec 17 21:50:35 2015 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: I7735a5be7515655a4d4bb87b6a02ce794ab5b790
    Closes-bug: #1280522

Changed in python-cueclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/259036
Committed: https://git.openstack.org/cgit/openstack/zaqar/commit/?id=0a54601753e0b177630665100d2d3480d8a0dc88
Submitter: Jenkins
Branch: master

commit 0a54601753e0b177630665100d2d3480d8a0dc88
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Thu Dec 17 22:15:25 2015 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: Icba7c9d4664bd644544cce15ad2fba45b1281d38
    Closes-bug: #1280522

Changed in zaqar:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/263271
Committed: https://git.openstack.org/cgit/openstack/refstack/commit/?id=7f65a2c10406784fed7831c58f611cef29a95fcc
Submitter: Jenkins
Branch: master

commit 7f65a2c10406784fed7831c58f611cef29a95fcc
Author: Swapnil Kulkarni (coolsvap) <email address hidden>
Date: Mon Jan 4 19:37:38 2016 +0530

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: I8faff65a87adde43373dc2c7874302cfb4d77e1f
    Partial-bug:#1280522

Reviewed: https://review.openstack.org/259010
Committed: https://git.openstack.org/cgit/openstack/python-designateclient/commit/?id=940b610af03287cdaaa33f9041939e5549a40f00
Submitter: Jenkins
Branch: master

commit 940b610af03287cdaaa33f9041939e5549a40f00
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Thu Dec 17 21:44:42 2015 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: Ifcaeba48ff3606d3805343923378d0e58f68a2b9
    Closes-bug: #1280522

Changed in python-designateclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/259027
Committed: https://git.openstack.org/cgit/openstack/python-troveclient/commit/?id=dbc444db9070a7b7a02def22f5c6c5f31a64d21f
Submitter: Jenkins
Branch: master

commit dbc444db9070a7b7a02def22f5c6c5f31a64d21f
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Thu Dec 17 22:02:34 2015 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: Idd271edb45dafed10aad255267ff0b9722cabe2d
    Closes-bug: #1280522

Reviewed: https://review.openstack.org/264206
Committed: https://git.openstack.org/cgit/openstack/os-client-config/commit/?id=0b270f0bc9f6dd31d9c17bcc4d49d15630ee999b
Submitter: Jenkins
Branch: master

commit 0b270f0bc9f6dd31d9c17bcc4d49d15630ee999b
Author: LiuNanke <email address hidden>
Date: Wed Jan 6 22:49:52 2016 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    There have one more place should be modified.

    Change-Id: I53a8f129db0108892b8377edce2dbf19b0b95f5d
    Closes-bug: #1280522

Reviewed: https://review.openstack.org/259016
Committed: https://git.openstack.org/cgit/openstack/python-manilaclient/commit/?id=80d562ac3c49edf5cc95446c70e0a3aac02f1983
Submitter: Jenkins
Branch: master

commit 80d562ac3c49edf5cc95446c70e0a3aac02f1983
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Thu Dec 17 21:49:57 2015 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: I9410018cada9503accd6191cfdd3f12ab1c8ba3d
    Closes-bug: #1280522

Changed in python-manilaclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/259004
Committed: https://git.openstack.org/cgit/openstack/python-congressclient/commit/?id=20b4700893345ebacdf5d333415bc1d052493713
Submitter: Jenkins
Branch: master

commit 20b4700893345ebacdf5d333415bc1d052493713
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Thu Dec 17 21:36:58 2015 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: I429c8ab3eb4e79a7556ea6f966dd7aa32ee9b86d
    Closes-bug: #1280522

Changed in python-congressclient:
status: In Progress → Fix Released
Changed in keystoneauth:
assignee: nobody → zhangguoqing (474751729-o)

Fix proposed to branch: master
Review: https://review.openstack.org/266118

Changed in keystoneauth:
status: New → In Progress
Changed in keystoneauth:
importance: Undecided → Low

Reviewed: https://review.openstack.org/266118
Committed: https://git.openstack.org/cgit/openstack/keystoneauth/commit/?id=a21e2ca45450e78eb061fe2d19a4a210869b4fc5
Submitter: Jenkins
Branch: master

commit a21e2ca45450e78eb061fe2d19a4a210869b4fc5
Author: zhangguoqing <zhang.guoqing@99cloud.net>
Date: Tue Jan 12 03:05:14 2016 +0000

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: Ie58695138488a39cbb49de7fd20301b3ef5bcac2
    Closes-bug: #1280522

Changed in keystoneauth:
status: In Progress → Fix Released
Changed in dox:
assignee: nobody → zhangguoqing (474751729-o)
Changed in blazar:
assignee: nobody → zhangguoqing (474751729-o)

Fix proposed to branch: master
Review: https://review.openstack.org/266276

Changed in blazar:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/266279

Changed in ooi:
assignee: Swapnil Kulkarni (coolsvap) → zhangguoqing (474751729-o)
Changed in ooi:
assignee: zhangguoqing (474751729-o) → Swapnil Kulkarni (coolsvap)
Changed in kolla-mesos:
assignee: nobody → Vishal kumar mahajan (mahajan-vishal-mca)
status: New → Fix Released
Changed in python-swiftclient:
assignee: nobody → Vishal kumar mahajan (mahajan-vishal-mca)
status: New → In Progress
Changed in python-swiftclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/266277
Committed: https://git.openstack.org/cgit/openstack/manila/commit/?id=89c3577f2fe6e7f5f955b25a87df72e6f77b84ce
Submitter: Jenkins
Branch: master

commit 89c3577f2fe6e7f5f955b25a87df72e6f77b84ce
Author: zhangguoqing <zhang.guoqing@99cloud.net>
Date: Tue Jan 12 10:23:41 2016 +0000

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: Iec94667bac8b2e3eeec466985194bbd6f5b35d0c
    Closes-bug: #1280522

Reviewed: https://review.openstack.org/258773
Committed: https://git.openstack.org/cgit/openstack/heat-cfntools/commit/?id=e4503e43cbfd7cff5754584f16fea354c265802f
Submitter: Jenkins
Branch: master

commit e4503e43cbfd7cff5754584f16fea354c265802f
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Thu Dec 17 11:19:11 2015 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: Ic2dca04e7cdd4f837c42b39dd1ce37604c8f101b
    Closes-bug: #1280522

Changed in heat-cfntools:
status: In Progress → Fix Released
Changed in bifrost:
status: In Progress → Fix Committed
Changed in congress:
assignee: nobody → Vishal kumar mahajan (mahajan-vishal-mca)

Fix proposed to branch: master
Review: https://review.openstack.org/268901

Changed in congress:
status: New → In Progress
Changed in python-gnocchiclient (Ubuntu):
assignee: nobody → Vishal kumar mahajan (mahajan-vishal-mca)
Changed in congress:
status: In Progress → Fix Committed
no longer affects: python-gnocchiclient (Ubuntu)
Changed in python-tuskarclient (Ubuntu):
assignee: nobody → Vishal kumar mahajan (mahajan-vishal-mca)
Changed in python-tuskarclient (Ubuntu):
status: New → Fix Committed
Changed in designate (Ubuntu):
assignee: nobody → Vishal kumar mahajan (mahajan-vishal-mca)

Reviewed: https://review.openstack.org/259038
Committed: https://git.openstack.org/cgit/openstack/solum/commit/?id=9d45510ddaf577427bf86a2308454b79c95b5d5c
Submitter: Jenkins
Branch: master

commit 9d45510ddaf577427bf86a2308454b79c95b5d5c
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Thu Dec 17 22:17:58 2015 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: I6059a4b58bf7eb484992fa695d435cea7325e21b
    Closes-bug: #1280522

Changed in solum:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/268901
Committed: https://git.openstack.org/cgit/openstack/congress/commit/?id=0e65d5f9208f6031343b11770e555715a8bf5518
Submitter: Jenkins
Branch: master

commit 0e65d5f9208f6031343b11770e555715a8bf5518
Author: vishal mahajan <email address hidden>
Date: Mon Jan 18 12:52:19 2016 +0530

    Replace assertEqual(*, None) with assertIsNone in tests.

    For more clear messages in case of failure.
    Closes-bug: #1280522

    Change-Id: Icd110ab619dc500cd6bb10137e4f839812533f7b

Changed in congress:
status: Fix Committed → Fix Released

Change abandoned by Alvaro Lopez Garcia (<email address hidden>) on branch: master
Review: https://review.openstack.org/266279
Reason: Abandoned in favour of https://review.openstack.org/#/c/263262

Reviewed: https://review.openstack.org/263262
Committed: https://git.openstack.org/cgit/openstack/ooi/commit/?id=a2f2a0cf7fc7a833530621081ebc7bfdb3dad4ab
Submitter: Jenkins
Branch: master

commit a2f2a0cf7fc7a833530621081ebc7bfdb3dad4ab
Author: Swapnil Kulkarni (coolsvap) <email address hidden>
Date: Mon Jan 4 19:16:38 2016 +0530

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: If621271421faeb5a19bba09534a6770bbfdccc5f
    Partial-bug: #1280522

This issue was fixed in the openstack/horizon 9.0.0.0b2 development milestone.

Wang Bo (chestack) on 2016-02-16
Changed in octavia:
assignee: nobody → Wang Bo (chestack)

Fix proposed to branch: master
Review: https://review.openstack.org/280760

Changed in octavia:
status: New → In Progress

Reviewed: https://review.openstack.org/280760
Committed: https://git.openstack.org/cgit/openstack/octavia/commit/?id=15fdc0ea7bbbbf5b86a6022449214c9bdd284476
Submitter: Jenkins
Branch: master

commit 15fdc0ea7bbbbf5b86a6022449214c9bdd284476
Author: Bo Wang <email address hidden>
Date: Tue Feb 16 23:06:09 2016 +0800

    Fix hacking rule of assert_equal_or_not_none

    The rule is not robust enough result in error code existing.
    Fix the code and the rule.

    Change-Id: I68934d4931a6e7857a824d0af5ed571a9c3e6480
    Closes-bug: #1280522

Changed in octavia:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/280788
Committed: https://git.openstack.org/cgit/openstack/sahara/commit/?id=6b07bca1abeacdc22108521517d68518310237b0
Submitter: Jenkins
Branch: master

commit 6b07bca1abeacdc22108521517d68518310237b0
Author: Bo Wang <email address hidden>
Date: Wed Feb 17 00:06:14 2016 +0800

    Replace assertNotEqual(None,) with assertIsNotNone

    Replace assertNotEqual(None, *) with assertIsNotNone in tests to have
    more clear messages in case of failure.

    Change-Id: I1bb7c0bef3444cba5aa987c31a56c323e08913c7
    Closes-bug: #1280522

Catherine Diep (cdiep) on 2016-02-22
no longer affects: refstack

Reviewed: https://review.openstack.org/280654
Committed: https://git.openstack.org/cgit/openstack/python-heatclient/commit/?id=28f68b5d1c8819c88dcace044a42822739edd87e
Submitter: Jenkins
Branch: master

commit 28f68b5d1c8819c88dcace044a42822739edd87e
Author: Bo Wang <email address hidden>
Date: Tue Feb 16 20:35:23 2016 +0800

    Replace assertEqual(None, *) with assertIsNone

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: I9a30b67f0329280e06e746af9b82b448552a2a52
    Closes-bug: #1280522

Reviewed: https://review.openstack.org/258990
Committed: https://git.openstack.org/cgit/openstack/python-barbicanclient/commit/?id=8eab42dc79c48140ed114a9251afa0a210a159f9
Submitter: Jenkins
Branch: master

commit 8eab42dc79c48140ed114a9251afa0a210a159f9
Author: Shuquan Huang <huang.shuquan@99cloud.net>
Date: Thu Dec 17 21:03:01 2015 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: If4893a55b2fede30a796a2f1080477b7c92e5d4c
    Closes-bug: #1280522

Changed in python-barbicanclient:
status: In Progress → Fix Released

This issue was fixed in the openstack/designate 2.0.0.0b3 development milestone.

Alvaro Lopez (aloga) on 2016-03-21
Changed in ooi:
milestone: none → 0.2
status: In Progress → Fix Committed
Changed in designate (Ubuntu):
status: New → Fix Released
Alvaro Lopez (aloga) on 2016-03-22
Changed in ooi:
importance: Undecided → Low
milestone: 0.2 → none
status: Fix Committed → Fix Released
Changed in bifrost:
status: Fix Committed → Fix Released

This issue was fixed in the openstack/swift 2.7.0 release.

Change abandoned by yapeng Yang (yang.yapeng@99cloud.net) on branch: master
Review: https://review.openstack.org/265702
Reason: abandon

Changed in designate:
assignee: nobody → Sharat Sharma (sharat-sharma)
status: New → In Progress
Changed in watcher:
assignee: nobody → Sharat Sharma (sharat-sharma)
status: New → In Progress
Changed in python-openstackclient:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/319908
Committed: https://git.openstack.org/cgit/openstack/watcher/commit/?id=164a802718a1e026e78035bfaae9ffd047b4089e
Submitter: Jenkins
Branch: master

commit 164a802718a1e026e78035bfaae9ffd047b4089e
Author: sharat.sharma <email address hidden>
Date: Mon May 23 18:03:24 2016 +0530

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: I98261ef7cca06447ea9d443a2c287c046f380f77
    Closes-Bug: #1280522

Changed in watcher:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/319864
Committed: https://git.openstack.org/cgit/openstack/designate/commit/?id=77d9f412d23c567a0b75550808081e52b6a74605
Submitter: Jenkins
Branch: master

commit 77d9f412d23c567a0b75550808081e52b6a74605
Author: sharat.sharma <email address hidden>
Date: Mon May 23 17:09:12 2016 +0530

    Modify assert statement when comparing with None

    Replace assertEqual(None, *) with assertIsNone in designate's
    tests to have more clear messages in case of failure.

    Change-Id: Iad1dee48bdb35b338e7b18bfb76c7f5e561c3790
    Closes-Bug: #1280522

Changed in designate:
status: In Progress → Fix Released

This issue was fixed in the openstack/designate 3.0.0.0b1 development milestone.

Changed in python-openstacksdk:
status: In Progress → Fix Released
Changed in stackalytics:
status: In Progress → Fix Released
Yafei Yu (yu-yafei) on 2016-07-12
Changed in os-brick:
assignee: nobody → yuyafei (yu-yafei)
Changed in searchlight:
assignee: nobody → jingtao liang (liang-jingtao)
Changed in swift:
assignee: nobody → jingtao liang (liang-jingtao)
Changed in freezer:
assignee: nobody → YaoZheng_ZTE (zheng-yao1)
Changed in dragonflow:
assignee: nobody → YaoZheng_ZTE (zheng-yao1)
weiweigu (gu-weiwei) on 2016-07-12
Changed in taskflow:
assignee: nobody → weiweigu (gu-weiwei)
Changed in oslo.messaging:
assignee: nobody → weiweigu (gu-weiwei)

Fix proposed to branch: master
Review: https://review.openstack.org/340642

Changed in os-brick:
status: New → In Progress
Changed in anvil:
assignee: nobody → YaoZheng_ZTE (zheng-yao1)
Changed in networking-brocade:
assignee: nobody → YaoZheng_ZTE (zheng-yao1)
haobing1 (haobing1) on 2016-07-12
Changed in ceilometer:
assignee: nobody → haobing1 (haobing1)
Changed in quark:
assignee: nobody → YaoZheng_ZTE (zheng-yao1)

Fix proposed to branch: master
Review: https://review.openstack.org/340645

Changed in taskflow:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/340651

Changed in oslo.messaging:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/340849

Changed in searchlight:
status: New → In Progress
Changed in swift:
status: New → Invalid

Reviewed: https://review.openstack.org/340642
Committed: https://git.openstack.org/cgit/openstack/os-brick/commit/?id=2fa8f659917cfac847f6103cc5012b1daa76fb2f
Submitter: Jenkins
Branch: master

commit 2fa8f659917cfac847f6103cc5012b1daa76fb2f
Author: yuyafei <email address hidden>
Date: Tue Jul 12 11:21:12 2016 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have more
    clear messages in case of failure.

    Change-Id: I3699fca674c9d97b09308155fbc92aaed929d87f
    Closes-Bug:#1280522

Changed in os-brick:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/340651
Committed: https://git.openstack.org/cgit/openstack/oslo.messaging/commit/?id=689ba081730b7a9adb3f50240921a682b82839dd
Submitter: Jenkins
Branch: master

commit 689ba081730b7a9adb3f50240921a682b82839dd
Author: weiweigu <email address hidden>
Date: Tue Jul 12 12:01:23 2016 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have more
    clear messages in case of failure.

    Change-Id: Idb0376964ecc65d04e5b79753efd8f6a0b822bf8
    Closes-Bug: #1280522

Changed in oslo.messaging:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/340849
Committed: https://git.openstack.org/cgit/openstack/searchlight/commit/?id=771c5e69cb14271a64ef2992fde70065d6d06cfb
Submitter: Jenkins
Branch: master

commit 771c5e69cb14271a64ef2992fde70065d6d06cfb
Author: liangjingtao <email address hidden>
Date: Tue Jul 12 18:41:03 2016 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Change-Id: Id1cc5e677a8df90afd07ed51c4845e90dfee0cc3
    Closes-Bug: #1280522

Changed in searchlight:
status: In Progress → Fix Released

This issue was fixed in the openstack/watcher 0.28.0 release.

This issue was fixed in the openstack/searchlight 1.0.0.0b2 development milestone.

haobing1 (haobing1) on 2016-07-15
no longer affects: ceilometer

Reviewed: https://review.openstack.org/340645
Committed: https://git.openstack.org/cgit/openstack/taskflow/commit/?id=38c58123caa559104f0ad7cfd52dd6373792398f
Submitter: Jenkins
Branch: master

commit 38c58123caa559104f0ad7cfd52dd6373792398f
Author: weiweigu <email address hidden>
Date: Tue Jul 12 11:41:52 2016 +0800

    Replace assertEqual(None, *) with assertIsNone in tests

    Replace assertEqual(None, *) with assertIsNone in tests to have more
    clear messages in case of failure.

    Change-Id: I74452af6d840bcf612fd3bb2521db9134460dd63
    Closes-Bug: #1280522

Changed in taskflow:
status: In Progress → Fix Released

This issue was fixed in the openstack/oslo.messaging 5.6.0 release.

This issue was fixed in the openstack/taskflow 2.4.0 release.

This issue was fixed in the openstack/os-brick 1.5.0 release.

Download full text (16.1 KiB)

Reviewed: https://review.openstack.org/356468
Committed: https://git.openstack.org/cgit/openstack/oslo.messaging/commit/?id=39c3901b8c1709a197915f12767737298da1d80c
Submitter: Jenkins
Branch: feature/amqp-dispatch-router

commit ee8fff03d989e1a73068262d072f483b8c779163
Author: OpenStack Proposal Bot <email address hidden>
Date: Fri Aug 12 00:24:13 2016 +0000

    Updated from global requirements

    Change-Id: Ibef43ee38fc395b3d9d55f5e0f820e5c0d0308b1

commit 20a07e7f480ec434cb06cf13156d7c785f70b414
Author: Gevorg Davoian <email address hidden>
Date: Wed Jul 6 11:49:01 2016 +0300

    [zmq] Implement retries for unacknowledged CASTs

    This patch tries to implement a mechanism of acknowledgements and
    retries via proxy for CAST messages.

    Change-Id: I83919382262b9f169becd09f5db465a01a0ccb78
    Partial-Bug: #1497306
    Closes-Bug: #1515269

commit 7c5d039fd355e60e099a0a36408c85a08bfcc2ad
Author: Oleksii Zamiatin <email address hidden>
Date: Thu Aug 4 15:31:45 2016 +0300

    Move zmq driver options into its own group

    ZeroMQ driver options are current stored into the DEFAULT group.
    This change makes the zmq configuration clearer by putting its
    options into oslo_messaging_zmq group.

    Change-Id: Ia00fda005b1664750d2646f8c82ebdf295b156fb
    Closes-bug: #1417040
    Co-Authored-By: Oleksii Zamiatin <email address hidden>

commit 51652c57d2b6fa040a0b88d20bafc0026253a516
Author: OpenStack Proposal Bot <email address hidden>
Date: Thu Aug 4 02:40:46 2016 +0000

    Updated from global requirements

    Change-Id: I5b87131404d34b69dab22564eccb8f1e1a141761

commit 2003a52a16105b22bb3696ccc4aac9b1b561f8bd
Author: OpenStack Proposal Bot <email address hidden>
Date: Wed Aug 3 09:06:36 2016 +0000

    Updated from global requirements

    Change-Id: Ibdebbd59e62297de8ddd6fbec7743e3c66d1108f

commit d946fb1862dacf3569d7d47759427d1460b64d11
Author: Gevorg Davoian <email address hidden>
Date: Tue Jul 19 12:53:27 2016 +0300

    Fix pika functional tests

    Change-Id: I05f2cbd914857da7a75ca068e99614156797d1ed
    Closes-Bug: #1599777
    Depends-On: Ic6acc5d006344e08c219724e488fc9222786d849

commit 9e61efa67d2d461626f79c1937dec6c50499568f
Author: ozamiatin <email address hidden>
Date: Tue Jul 26 12:52:11 2016 +0300

    [zmq] Use zmq.IMMEDIATE option for round-robin

    This options helps to prevent message loss by scheduling
    messages only to a connected queue. If there is no connections
    socket hangs waiting.

    Change-Id: I87b97c8b77887f53599a28e0d05fc2c71c149499
    Closes-Bug: #1606272

commit 75764971962252ffd2720036e3b564b5d0ae76f1
Author: maoshuai <fwsakura@163.com>
Date: Fri Jul 29 10:59:34 2016 +0800

    fix a typo in impl_rabbit.py

    Change-Id: I75f99d7e3a6b193e30d8d9baad6a939fbdd0ca6d

commit 12886219a6855a109609aaf009a96a9a2a19ffd2
Author: OpenStack Proposal Bot <email address hidden>
Date: Fri Jul 29 02:33:54 2016 +0000

    Updated from global requirements

    Change-Id: Iae11896324f16164fd62a53c089ebd2948437098

commit 317641c42f006eaec644c3524da63b63ab6771e1
Autho...

tags: added: in-feature-amqp-dispatch-router

Change abandoned by zhangyanxian (<email address hidden>) on branch: master
Review: https://review.openstack.org/356231
Reason: It seems that the problem is not existed in the latest code.

Reviewed: https://review.openstack.org/356228
Committed: https://git.openstack.org/cgit/openstack/designate/commit/?id=775246a5a9dc68d1b9ef881dea09f25fdb781366
Submitter: Jenkins
Branch: master

commit 775246a5a9dc68d1b9ef881dea09f25fdb781366
Author: zhangyanxian <email address hidden>
Date: Wed Aug 17 05:19:21 2016 +0000

    Replace assertEqual(None, *) with assertIsNone in the tests

    Replace assertEqual(None, *) with assertIsNone in tests
    to have more clear messages in case of failure.

    Change-Id: I1260029edaf517795670a824bb2b0ad10eeaa4f9
    Partial-Bug: #1280522

This issue was fixed in the openstack/magnum 3.0.0 release.

This issue was fixed in the openstack/murano-dashboard 3.0.0.0b3 development milestone.

HengHa (2001xxj) on 2016-11-01
Changed in zun:
assignee: nobody → HengHa (2001xxj)
no longer affects: heat
Changed in zun:
status: New → In Progress

Reviewed: https://review.openstack.org/392125
Committed: https://git.openstack.org/cgit/openstack/zun/commit/?id=afe2b6fa12a631eb7912e93806e5f1ac0f4efc0b
Submitter: Jenkins
Branch: master

commit afe2b6fa12a631eb7912e93806e5f1ac0f4efc0b
Author: xxj <email address hidden>
Date: Tue Nov 1 20:21:23 2016 +0800

    Replace assertEqual(None, *) with assertIsNone

    Replace assertEqual(None, *) with assertIsNone in tests to have
    more clear messages in case of failure.

    Closes-Bug:#1280522
    Change-Id: Ib7a24bf7443d9c49e42119c649a32a1e8bd20ba1

Changed in zun:
status: In Progress → Fix Released

This issue was fixed in the openstack/networking-odl 3.0.0 release.

This issue was fixed in the openstack/python-cinderclient 1.4.0 release.

This issue was fixed in the openstack/python-zaqarclient 1.0.0 release.

This issue was fixed in the openstack/swift 2.7.0 release.

This issue was fixed in the openstack/networking-odl 3.0.0 release.

Change abandoned by Hiroaki Kobayashi (<email address hidden>) on branch: master
Review: https://review.openstack.org/266276
Reason: This problem has been solved by Ic85cb5bf15a1f1e6d48521ab30473b22cf2cb806

Changed in blazar:
status: In Progress → Fix Released
Akihiro Motoki (amotoki) on 2017-07-13
no longer affects: horizon
no longer affects: python-neutronclient
Download full text (719.8 KiB)

Reviewed: https://review.openstack.org/518128
Committed: https://git.openstack.org/cgit/openstack/python-openstacksdk/commit/?id=535f2f48ff7003d1ec6eee014710dae9a332d9e0
Submitter: Zuul
Branch: master

commit a4ee1a3f098e97f0e6bdc0f3d20c3021d06cb343
Author: Monty Taylor <email address hidden>
Date: Wed Oct 4 13:06:22 2017 -0500

    Merge tox, tests and other support files

    Change-Id: I5a4759e36089f1f4fab0c75412c94d051d8b16a7

commit 65293358a0d3cd7055987b18e16b9be5e8a0261b
Author: Monty Taylor <email address hidden>
Date: Wed Oct 4 12:39:43 2017 -0500

    Move shade and os-client-config python content

    Make shade be openstack.cloud and os-client-config be openstack.config.

    Change-Id: I1d28be82a72cc1a30d6be306257fc1f0736ed604

commit a3cd1f0faff25b6b43a80e8357b134ccd7437f99
Author: Monty Taylor <email address hidden>
Date: Wed Sep 20 10:29:27 2017 -0500

    Merge shade and occ releasenotes

    Change-Id: I4d25c654ee3c298de03907b14161096a59d098db

commit 94ace709e2bf860567a0920c3f836263432862ea
Author: OpenStack Proposal Bot <email address hidden>
Date: Sat Sep 16 23:21:20 2017 +0000

    Updated from global requirements

    Change-Id: I1bbda934cc65d508f1cece8c5adc714e9f464707

commit eafc8bed564d41f2a0c6a050e7a301241309fa59
Author: Monty Taylor <email address hidden>
Date: Sat Sep 16 13:13:25 2017 -0500

    Fix requires_floating_ip

    This isn't a required piece of the config, so it might be unset. Use get
    instead of [].

    Change-Id: I1bbbcb4ac63a4f6d4399c0fa8881c21264a03e4b

commit 2c24e204a6d75313447298bdcd7c458fa5107ba6
Author: Monty Taylor <email address hidden>
Date: Fri Sep 15 10:55:43 2017 -0600

    Record server.id in server creation exception

    If an error happens in the initial creation, no id is returned
    to the server can't be cleaned up.

    Change-Id: Ieb818dcf9ded062f016a3f96342f320dc203edd0

commit 2c23196f23be244cd747c1e26c5a55c203f3e7be
Author: Paul Belanger <email address hidden>
Date: Fri Sep 15 12:52:57 2017 -0400

    Stop using openstack-doc-build

    We are in the process of moving openstack-doc-build to project-config,
    stop running for now.

    Change-Id: I409929a61044b397eedebe730b43b7897816141f
    Signed-off-by: Paul Belanger <email address hidden>

commit 6f72637fb6356d39adee82a2718118156ae4a6bf
Author: Dean Troyer <email address hidden>
Date: Thu Sep 14 16:57:42 2017 -0500

    Updates for stestr

    Change-Id: I344cd6ce38d8db8fe24e1611c9c61e1ffa1b586d

commit 482b313b10149bfcb67f5c059da17f08426f7a7a
Author: Sławek Kapłoński <email address hidden>
Date: Thu Sep 14 12:02:02 2017 -0600

    Add support for network quota details command

    Neutron recently introduced API call to get details
    about current usage of quota by given project.
    This patch adds support for this command in Shade.

    Related-Bug: #1716043
    Change-Id: I74682c6b2a287f54acef91686e7281f45cbe9684

commit f29d04dcf903fc6ac10f276badaff3edf3f09b7a
Author: Monty Taylor <email address hidden>
Date: Sat Sep 9 11:01:53 2017 -0500

    Add pypi and doc publication templates

    Change-Id: Iaa2b3742d04135...

This issue was fixed in the openstack/python-openstacksdk 0.10.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.